std::_Fwd_list_iterator< _Tp > Struct Template Reference

`#include <forward_list.h>`

## Public Types

typedef _Fwd_list_node< _Tp > | _Node
typedef _Fwd_list_iterator< _Tp > | _Self
typedef ptrdiff_t | difference_type
typedef std::forward_iterator_tag | iterator_category
typedef _Tp * | pointer
typedef _Tp & | reference
typedef _Tp | value_type

## Public Member Functions

| _Fwd_list_iterator (_Fwd_list_node_base *__n) noexcept
_Self | _M_next () const noexcept
reference | operator* () const noexcept
_Self & | operator++ () noexcept
_Self | operator++ (int) noexcept
pointer | operator-> () const noexcept

## Public Attributes

_Fwd_list_node_base * | _M_node

## Friends

bool | operator== (const _Self &__x, const _Self &__y) noexcept

## Detailed Description

template<typename _Tp>
struct std::_Fwd_list_iterator< _Tp >

A forward_list::iterator.

All the functions are op overloads.

Definition at line 135 of file forward_list.h.

## Member Typedef Documentation

## _Node

template<typename _Tp >

typedef _Fwd_list_node<_Tp> std::_Fwd_list_iterator< _Tp >::_Node

Definition at line 138 of file forward_list.h.

## _Self

template<typename _Tp >

typedef _Fwd_list_iterator<_Tp> std::_Fwd_list_iterator< _Tp >::_Self

Definition at line 137 of file forward_list.h.

## difference_type

template<typename _Tp >

typedef ptrdiff_t std::_Fwd_list_iterator< _Tp >::difference_type

Definition at line 143 of file forward_list.h.

## iterator_category

template<typename _Tp >

typedef std::forward_iterator_tag std::_Fwd_list_iterator< _Tp >::iterator_category

Definition at line 144 of file forward_list.h.

## pointer

template<typename _Tp >

typedef _Tp* std::_Fwd_list_iterator< _Tp >::pointer

Definition at line 141 of file forward_list.h.

## reference

template<typename _Tp >

typedef _Tp& std::_Fwd_list_iterator< _Tp >::reference

Definition at line 142 of file forward_list.h.

## value_type

template<typename _Tp >

typedef _Tp std::_Fwd_list_iterator< _Tp >::value_type

Definition at line 140 of file forward_list.h.

## Constructor & Destructor Documentation

## _Fwd_list_iterator() [1/2]

template<typename _Tp >

std::_Fwd_list_iterator< _Tp >::_Fwd_list_iterator | ( |  | ) |

inline noexcept

Definition at line 146 of file forward_list.h.

## _Fwd_list_iterator() [2/2]

template<typename _Tp >

std::_Fwd_list_iterator< _Tp >::_Fwd_list_iterator | ( | _Fwd_list_node_base * | __n | ) |

inline explicit noexcept

Definition at line 150 of file forward_list.h.

## Member Function Documentation

## _M_next()

template<typename _Tp >

_Self std::_Fwd_list_iterator< _Tp >::_M_next | ( |  | ) | const

inline noexcept

Definition at line 197 of file forward_list.h.

## operator*()

template<typename _Tp >

reference std::_Fwd_list_iterator< _Tp >::operator* | ( |  | ) | const

inline noexcept

Definition at line 155 of file forward_list.h.

## operator++() [1/2]

template<typename _Tp >

_Self & std::_Fwd_list_iterator< _Tp >::operator++ | ( |  | ) |

inline noexcept

Definition at line 164 of file forward_list.h.

## operator++() [2/2]

template<typename _Tp >

_Self std::_Fwd_list_iterator< _Tp >::operator++ | ( | int |  | ) |

inline noexcept

Definition at line 171 of file forward_list.h.

## operator->()

template<typename _Tp >

pointer std::_Fwd_list_iterator< _Tp >::operator-> | ( |  | ) | const

inline noexcept

Definition at line 160 of file forward_list.h.

## Friends And Related Symbol Documentation

## operator==

template<typename _Tp >

bool operator== | ( | const _Self & | __x,
|  | const _Self & | __y
| ) |  |

friend

Forward list iterator equality comparison.

Definition at line 183 of file forward_list.h.

## Member Data Documentation

## _M_node

template<typename _Tp >

_Fwd_list_node_base* std::_Fwd_list_iterator< _Tp >::_M_node

Definition at line 205 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h